Manuel PHP
Précédent |  | Suivant

# DOMText->__construct()

(no version information, might be only in CVS)

DOMText->__construct() -- Crée un nouvel objet DOMText

## Description

class DOMText {
__construct ( [string value] )
}

Crée un nouvel objet DOMText.

## Liste de paramètres

value

  La valeur du noeud texte. Si aucune n'est fournie, un noeud texte vide est créé.

## Exemples

Exemple 1. CRéation d'un nouveau DOMText

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $text = $element->appendChild(new DOMText('valeur racine')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>valeur racine</root> */ ?>`

## Voir aussi

DOMDocument->createTextNode()

Précédent | Sommaire | Suivant
DOMProcessingInstruction->__construct() | Niveau supérieur | DOMText->isWhitespaceInElementContent()